package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.report.composite.InquireReportComposite;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

public class InquireReportAction extends Action{
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		actionListener.onLoad(this);
		actionListener = this.getListener();
		Composite composite = actionListener.getParentComposite();
		TenderProjectEntity tenderProjectEntity = this.getTenderProject();//(TenderProjectEntity)this.getData("tenderProjectEntity");
		composite.setData("tenderProjectEntity", tenderProjectEntity);
		composite.setData("roleType", InquireReportComposite.REPORT_EVAL_MANAGER);
		InquireReportComposite loadComposite = new InquireReportComposite(composite,this, SWT.NONE);
		loadComposite.setInitData(tenderProjectEntity);
		
		actionListener.loadComposite(this, loadComposite);
	}
	
}
